Skip to main content
POST
/
api
/
partner
/
v1
/
slideshows
/
copy-tiktok
/
import
{
  "url": "https://www.tiktok.com/@creator/photo/7499123456789012345",
  "preview_id": "a8d34c8b-6f31-4f04-8b62-6f01708af952",
  "pack_id": "11111111-1111-1111-1111-111111111111",
  "title": "Copied Hook Variant"
}
{
  "ok": true,
  "code": 201,
  "message": "TikTok slideshow imported",
  "data": {
    "slideshow": {
      "id": "2ab58bb0-0c39-45c0-a4d5-b6852f9d7fc0",
      "title": "Copied Hook Variant",
      "status": "draft",
      "slide_count": 4
    },
    "source_url": "https://www.tiktok.com/@creator/photo/7499123456789012345",
    "slide_count": 4,
    "total_slides": 6,
    "capped": true,
    "credits_used": 2,
    "used_cached_preview": true
  }
}
Imports TikTok slideshow content into a new draft slideshow:
  • pulls TikTok slideshow slides (max 8)
  • extracts text overlays with vision OCR
  • maps extracted text into editable text elements
  • creates a Genviral draft slideshow using your pack images as backgrounds
  • deducts copy credits and auto-refunds on failure

Body Parameters

url
string
required
TikTok slideshow URL.
preview_id
string (UUID)
Optional preview token returned by Preview TikTok Slideshow Copy. When present and not expired, import reuses cached preview data.
title
string
Optional slideshow title override (max 200 chars).
pack_id
string (UUID)
Optional image pack ID to source background images.
pack_images
string[]
Optional direct list of image URLs for backgrounds.
product_id
string (UUID)
Optional product reference to attach to the created slideshow.
Provide exactly one of pack_id or pack_images.

Example

{
  "url": "https://www.tiktok.com/@creator/photo/7499123456789012345",
  "preview_id": "a8d34c8b-6f31-4f04-8b62-6f01708af952",
  "pack_id": "11111111-1111-1111-1111-111111111111",
  "title": "Copied Hook Variant"
}
{
  "ok": true,
  "code": 201,
  "message": "TikTok slideshow imported",
  "data": {
    "slideshow": {
      "id": "2ab58bb0-0c39-45c0-a4d5-b6852f9d7fc0",
      "title": "Copied Hook Variant",
      "status": "draft",
      "slide_count": 4
    },
    "source_url": "https://www.tiktok.com/@creator/photo/7499123456789012345",
    "slide_count": 4,
    "total_slides": 6,
    "capped": true,
    "credits_used": 2,
    "used_cached_preview": true
  }
}

Error Responses

  • 400 invalid_json - request body is not valid JSON
  • 422 invalid_payload - payload validation failed
  • 422 invalid_tiktok_url - URL is not valid TikTok
  • 422 not_slideshow - TikTok post is not a slideshow/photo post
  • 404 pack_not_found
  • 422 pack_empty
  • 422 pack_source_conflict - both pack_id and pack_images were sent
  • 404 product_not_found
  • 403 forbidden_product_access
  • 402 insufficient_credits
  • 429 rate_limited
  • 502 tiktok_fetch_failed
  • 500 upstream_config_error - TikTok upstream credentials/config missing
  • 500 import_failed